    ' COAXDAT2.BAS
    '
    ' Executable program name:  COAXDATA.EXE
    '
    ' Version 1.0 name:  COAXDATA.BAS
    ' Version 1.0 Started:  May 17, 2003
    ' Version 1.0 Completed:  July 8, 2003
    '
    ' Version 2.0 name:  COAXDAT2.BAS
    ' Version 2.0 Started:  November 1, 2003
    ' Version 2.0 Completed:  November 6, 2003
    '   Revised in Version 2.0:
    '       Renamed program.
    '       Re-formatted the following forms for use with a screen
    '         resolution of 800 x 600:
    '           frmCoaxData
    '       Added Option Explicit statement to all forms to force the
    '         declaration of all variables.
    '       Added horizontal and vertical scrolling functions to data
    '         table.
    '       Deleted option to print data table.
    '
    ' Language:  Microsoft Visual Basic 3.0, Professional Edition
    '       (Professional Edition features not used)
    ' Programmer:  Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ

        ' program includes the following BASIC program:
    ' COAXDAT2.BAS
    '   Sub CenterForm (Frm As Form)
    '   Sub Main ()
    '   Sub ProgramTitle (Frm As Form, Sp As Integer)

        ' program includes the following forms:
    ' COAXABT2.FRM      frmAboutCoax
        ' COAXDAT2.FRM      frmCoaxData
        ' COAXLEG2.FRM      frmSymbolLegend
        ' COAXOPN2.FRM      frmDataOpen
        ' COAXPRG2.FRM      frmAvailPgm
        ' COAXREV2.FRM      frmRevHistory

        ' program includes the following subroutines, listed by form

        ' Code and Forms used in this program:
    ' COAXABT2.FRM  (frmAboutCoax)  [About Program Message]
        ' Sub cmdOK_Click ()
        ' Sub Form_Load ()
    ' COAXDAT2.FRM  (frmCoaxData)  [Coax Data]
        ' Sub cmdExit_Click ()
        ' Sub cmdOpenScrn_Click ()
        ' Sub CaptionLabels ()
        ' Sub DataLabels ()
        ' Sub Form_Load ()
        ' Sub mnuExit_Click ()
        ' Sub mnuSymbol_Click ()
        ' Sub CAPACITANCE ()
        ' Sub CENTER ()
        ' Sub DIELECTRIC ()
        ' Sub hsbShell_Change ()
        ' Sub IMPEDANCE ()
        ' Sub JACKET ()
        ' Sub LOSS1 ()
        ' Sub LOSS10 ()
        ' Sub LOSS100 ()
        ' Sub LOSS1000 ()
        ' Sub OUTDIAM ()
        ' Sub PARTNUM ()
        ' Sub RGTYPE ()
        ' Sub RMS ()
        ' Sub SHIELD ()
        ' Sub VELOCITY ()
        ' Sub vsbShell_Change ()
    ' COAXLEG2.FRM  (frmSymbolLegend)  [Symbol Legend]
        ' Sub cmdCloseBtn_Click ()
        ' Sub Form_Load ()
    ' COAXOPN2.FRM  (frmDataOpen)  [Opening Screen]
        ' Sub cmdDataTable_Click ()
        ' Sub cmdExit_Click ()
        ' Sub Form_Load ()
        ' Sub mnuAbout_Click ()
        ' Sub mnuExit_Click ()
        ' Sub mnuProgsAvail_Click ()
        ' Sub mnuRevHist_Click ()
    ' COAXPRG2.FRM  (frmAvailPgm)  [Other Programs Available]
        ' Sub cmdOK_Click ()
        ' Sub Form_Load ()
    ' COAXREV2.FRM  (frmRevHistory)  [Program Revision History]
        ' Sub cmdOK_Click ()
        ' Sub Form_Load ()

    ' global quantities for coaxial cable data program, COAXDATA.EXE, ver. 2.0

    Option Explicit                         ' force declaration of all variables

    Global Form(4) As Integer                           ' form dimensions
    Global ShellPic(9) As Integer                       ' data shell dimensions

    Global I As Integer                                 ' loop counter

    Global N As String                                  ' newline code
    Global S As String                                  ' space code

    Sub CenterForm (Frm As Form)

        ' subprogram to center forms on the screen

            ' dimension local variables
        Dim LeftSide As Integer
        Dim TopOfForm As Integer

            ' determine location of left side of form
        LeftSide = (Screen.Width - Frm.Width) / 2

            ' determine location of top of form
        TopOfForm = (Screen.Height - Frm.Height) / 2

            ' position form on screen
        Frm.Move LeftSide, TopOfForm

    End Sub                                         ' CenterForm (Frm As Form)

    Sub Main ()

            ' coax data program starting point
        frmDataOpen.Show                        ' show coax data opening screen

    End Sub                                                         ' Main ()

    Sub ProgramTitle (Frm As Form, Sp As Integer)

        ' caption property for all forms - placed here
        '  to make it easy to change all forms at once

            ' dimension local variables
        Dim Credit As String
        Dim S As String
        Dim Title As String

            ' leading space in title added for readability
        Title = " COAXIAL CABLE DATA - Version 2.0"
        Credit = "WS7R, 2003"
        S = Space$(Sp)

        Frm.Caption = Title + S + Credit


    End Sub                         ' ProgramTitle (Frm As Form, Sp As Integer)
