VERSION 2.00
Begin Form frmBearingHelp 
   BackColor       =   &H00FFEBC8&
   ClientHeight    =   5745
   ClientLeft      =   3135
   ClientTop       =   1725
   ClientWidth     =   8730
   Height          =   6150
   Icon            =   GRIDBERH.FRX:0000
   Left            =   3075
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5745
   ScaleWidth      =   8730
   Top             =   1380
   Width           =   8850
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   3960
      TabIndex        =   0
      Top             =   5000
      Width           =   1215
   End
   Begin Label lblText 
      BackStyle       =   0  'Transparent
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   3950
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   8475
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Bearing and Distance Help"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   300
      Left            =   2760
      TabIndex        =   1
      Top             =   240
      Width           =   3495
   End
End
    ' Version 1.1 Started:  September 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted form for use with a screen resolution of 800 x 600.
    '       Added Option Explicit statement to force declaration of all
    '         variables.

    Option Explicit

    Sub cmdOK_Click ()

        frmBearingHelp.Hide                         ' bearing help screen
        frmBearing.Show                             ' bearing location screen

    End Sub                                                         ' cmdOK_Click ()

    Sub Form_Load ()

            ' dimension local variables
        Dim L1 As String                                ' individual line text
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String
        Dim L12 As String
        Dim L13 As String
        Dim L14 As String
        Dim L15 As String

        Dim P1 As String                                ' paragraph text
        Dim P2 As String

            ' center form on screen
        CenterForm frmBearingHelp
    
            ' get form title and credit
        ProgramTitle frmBearingHelp, 60

            ' center title and help text labels horizontally
        lblTitle.Left = (frmBearingHelp.ScaleWidth - lblTitle.Width) \ 2
        lblText.Left = 30 + (frmBearingHelp.ScaleWidth - lblText.Width) \ 2

            ' center command button horizontally
        cmdOK.Left = (frmBearingHelp.ScaleWidth - cmdOK.Width) \ 2

            ' define new line character
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' space string (3 spaces)
        S = Space$(3)

            ' help text
        L1 = S + "The bearing and distance calculator accepts input in"
        L2 = " the format" + N + "that most GPS units output location"
        L3 = " data (that is Longitude Degrees," + N + "Minutes, and"
        L4 = " direction && Latitude Degrees, Minutes, and direction)."
        L5 = N + "The minute data is a decimal representation of the"
        L6 = " combined value of" + N + "minutes and seconds (e.g."
        L7 = "112 44.5833"" W which equates to 112" + N + "44' 35"" W)."
        L8 = "  To convert map coordinates to GPS coordinates, divide" + N
        L9 = "seconds by 60, add this result to the number of minutes, and"
        L10 = " then add" + N + "this number to the number of degrees"
        L11 = " (e.g. (35/60 = 0.5833) + 44"" = " + N + "112 44.5833"")."
        L12 = N + N + S + "The input is limited to digits and a decimal"
        L13 = " point only; all other char-" + N + "acters will result"
        L14 = " in an error.  In addition, each input will accept only"
        L15 = " 8" + N + "characters."

        P1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8 + L9
        P2 = L10 + L11 + L12 + L13 + L14 + L15

            ' display help message
        lblText.Caption = P1 + P2

    End Sub                                                     ' Form_Load ()

