VERSION 2.00
Begin Form frmProgramInfo 
   BackColor       =   &H007FFF7F&
   ClientHeight    =   7995
   ClientLeft      =   1110
   ClientTop       =   1755
   ClientWidth     =   10920
   Height          =   8400
   Icon            =   GRIDINF.FRX:0000
   Left            =   1050
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7995
   ScaleWidth      =   10920
   Top             =   1410
   Width           =   11040
   Begin CommandButton cmdDummy4 
      Caption         =   "&Station Location"
      Height          =   495
      Left            =   1000
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   6330
      Width           =   1900
   End
   Begin CommandButton cmdDummy3 
      Caption         =   "&Bearing Calculator"
      Height          =   495
      Left            =   1000
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   5420
      Width           =   1900
   End
   Begin CommandButton cmdDummy2 
      Caption         =   "&MAP Coordinates"
      Height          =   495
      Left            =   1000
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   4530
      Width           =   1900
   End
   Begin CommandButton cmdDummy1 
      Caption         =   "&GPS Coordinates"
      Height          =   495
      Left            =   1000
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   3600
      Width           =   1900
   End
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   5280
      TabIndex        =   0
      Top             =   7265
      Width           =   1215
   End
   Begin Label lblText 
      BackStyle       =   0  'Transparent
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   6125
      Left            =   480
      TabIndex        =   2
      Top             =   840
      Width           =   10215
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Program Information"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   300
      Left            =   4920
      TabIndex        =   1
      Top             =   240
      Width           =   2595
   End
End
    ' Version 1.1 Started:  September 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted form for use with a screen resolution of 800 x 600.
    '       Added Option Explicit statement to force declaration of all
    '         variables.

    Option Explicit

    Sub cmdOK_Click ()

        frmProgramInfo.Hide                         ' program information screen
        frmGridOpen.Show                            ' opening screen

    End Sub                                                     ' cmdOK_Click ()

    Sub Form_Load ()

        ' general information about Maidenhead Grid Squares

            ' dimension local variables
        Dim L1 As String                                ' individual line text
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String
        Dim L12 As String
        Dim L13 As String
        Dim L14 As String
        Dim L15 As String

        Dim P1 As String                                ' paragraph text
        Dim P2 As String

            ' center form on screen
        CenterForm frmProgramInfo

            ' get form title and credit
        ProgramTitle frmProgramInfo, 97

            ' center title label horizontally
        lblTitle.Left = (frmProgramInfo.ScaleWidth - lblTitle.Width) \ 2

            ' center text label horizontally
        lblText.Left = (frmProgramInfo.ScaleWidth - lblText.Width) \ 2

            ' center command button horizontally
        cmdOK.Left = (frmProgramInfo.ScaleWidth - cmdOK.Width) \ 2

            ' define new line character
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' space string (3 spaces)
        S = Space(3)

            ' text
        L1 = S + "This program performs a variety of functions to assist the HAM"
        L2 = " radio operator with the very popular VHF/UHF Century Club (VUCC)"
        L3 = " Award program commonly referred to as the grid square award "
        L4 = "program.  The VUCC program is administered by the ARRL.  With the"
        L5 = " ready availability of Global Positioning System equipment (GPS),"
        L6 = " it is quite common for amateurs to know their station locations"
        L7 = " very precisely." + N + N + S + "The functions performed by this"
        L8 = " program are summarized below:" + N + N + S + S
        L9 = "Compute a 4 or 6 digit grid locator using GPS-format coordinates."
        L10 = N + N + N + S + S
        L11 = "Compute a 4 or 6 digit grid locator using MAP-format coordinates."
        L12 = N + N + N + S + S
        L13 = "Compute the bearing and distance to another station using GPS-"
        L14 = "format coords." + N + N + N + S + S
        L15 = "Compute a station location from the 4 or 6 digit grid locator."

        P1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8
        P2 = L9 + L10 + L11 + L12 + L13 + L14 + L15

        lblText.Caption = P1 + P2

    End Sub                                                     ' Form_Load ()

