    ' GRIDLOC.EXE
    ' Version 1.0 Started:  July 16, 2003
    ' Version 1.0 Completed:  August 18, 2003
    ' Version 1.1 Started:  August 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted the following forms for use with a screen
    '         resolution of 800 x 600:
    '           frmAvailGrid
    '           frmGridOpen
    '           frmStationLocHelp
    '       Added Option Explicit statement to all forms to force the
    '         declaration of all variables.
    '
    ' Language:  Microsoft Visual Basic 3.0, Professional Edition
    '       (Professional Edition features not used)
    ' Programmer:  Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ

        ' program includes the following BASIC program:
    ' GRIDLOC.BAS
    '   Sub CenterForm (frm As Form)
    '   Sub Main ()
    '   Sub ProgramTitle (frm As Form, Sp As Integer)

        ' program includes the following forms:
    ' GRIDABT.FRM       frmAboutGrid
    ' GRIDACK.FRM       frmAcknowledge
    ' GRIDAVAL.FRM      frmAvailGrid
    ' GRIDBEAR.FRM      frmBearing
    ' GRIDBERH.FRM      frmBearingHelp
    ' GRIDGPS.FRM       frmGPSCoord
    ' GRIDGPSH.FRM      frmGPSHelp
    ' GRIDINF.FRM       frmProgramInfo
    ' GRIDMAP.FRM       frmMAPCoord
    ' GRIDMAPH.FRM      frmMAPHelp
    ' GRIDOPEN.FRM      frmGridOpen
    ' GRIDREV.FRM       frmRevHistory
    ' GRIDSTAH.FRM      frmStationLocHelp
    ' GRIDSTAT.FRM      frmStationLocation

        ' program includes the following functions
        '  and subroutines - listed by form

        ' frmAboutGrid  (GRIDABT.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmAcknowledge  (GRIDACK.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmAvailGrid  (GRIDAVAL.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmBearing  (GRIDBEAR.FRM)
    ' Function ValCheck (S As String, Box As Integer) As Integer
    '
    ' Sub ClearForm ()
    ' Sub cmdAnother_Click ()
    ' Sub cmdComputeBearing_Click ()
    ' Sub cmdDistantData_Click ()
    ' Sub cmdLocalData_Click ()
    ' Sub cmdProgramExit_Click ()
    ' Sub ErrorMessage (ErrorType As Integer, Box As Integer)
    ' Sub Form_Load ()
    ' Sub lstDataDistant_Click ()
    ' Sub lstDataLocal_Click ()
    ' Sub mnuExit_Click ()
    ' Sub mnuGPSCoord_Click ()
    ' Sub mnuHelp_Click ()
    ' Sub mnuMAPCoord_Click ()
    ' Sub mnuOpenScreen_Click ()
    ' Sub mnuStation_Click ()

        ' frmBearingHelp  (GRIDBERH.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmGPSCoord  (GRIDGPS.FRM)
    ' Function FifthDigit (D As Double) As String
    ' Function FirstDigit (D As Double) As String
    ' Function FourthDigit (D As Double) As String
    ' Function SecondDigit (D As Double) As String
    ' Function SixthDigit (D As Double) As String
    ' Function ThirdDigit (D As Double) As String
    ' Function ValCheck (T As String, Box As Integer) As Integer
    '
    ' Sub ClearForm ()
    ' Sub cmdAnother_Click ()
    ' Sub cmdComputeLoc_Click ()
    ' Sub cmdProgramExit_Click ()
    ' Sub ErrorMessage (ErrorType As Integer, Box As Integer)
    ' Sub mnuBearing_Click ()
    ' Sub mnuExit_Click ()
    ' Sub mnuHelp_Click ()
    ' Sub mnuMap_Click ()
    ' Sub mnuOpenScreen_Click ()
    ' Sub mnuStation_Click ()

        ' frmGPSHelp  (GRIDGPSH.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmProgramInfo  (GRIDINF.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmMAPCoord  (GRIDMAP.FRM)
    ' Function FifthDigit (D As Double) As String
    ' Function FirstDigit (I As Integer) As String
    ' Function FourthDigit (I As Integer) As String
    ' Function SecondDigit (I As Integer) As String
    ' Function SixthDigit (D As Double) As String
    ' Function ThirdDigit (I As Integer) As String
    ' Function ValCheck (T As String, Box As Integer) As Integer
    '
    ' Sub ClearForm ()
    ' Sub cmdAnother_Click ()
    ' Sub cmdComputeLoc_Click ()
    ' Sub cmdProgramExit_Click ()
    ' Sub ErrorMessage (ErrorType As Integer, Box As Integer)
    ' Sub Form_Load ()
    ' Sub mnuBearing_Click ()
    ' Sub mnuExit_Click ()
    ' Sub mnuGPS_Click ()
    ' Sub mnuHelp_Click ()
    ' Sub mnuOpenScreen_Click ()
    ' Sub mnuStation_Click ()

        ' frmMAPHelp  (GRIDMAPH.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmGridOpen  (GRIDOPEN.FRM)
    ' Sub cmdBearing_Click ()
    ' Sub cmdGPS_Click ()
    ' Sub cmdLocation_Click ()
    ' Sub cmdMAP_Click ()
    ' Sub cmdProgramExit_Click ()
    ' Sub Form_Load ()
    ' Sub mnuAbout_Click ()
    ' Sub mnuAcknowledge_Click ()
    ' Sub mnuExit_Click ()
    ' Sub mnuOtherProgs_Click ()
    ' Sub mnuProgInfo_Click ()
    ' Sub mnuRevHist_Click ()

        ' frmRevHistory  (GRIDREV.FRM)
    ' Sub cmdOK_Click ()
    ' Sub Form_Load ()

        ' frmStationLocHelp  (GRIDSTAH.FRM)
    ' Sub cmdOK_Click ()
    ' Sub cmdPrint_Click ()
    ' Sub Form_Load ()

        ' frmStationLocation  (GRIDSTAT.FRM)
    ' Sub cmdAnother_Click ()
    ' Sub cmdCompLoc_Click ()
    ' Sub cmdProgramExit_Click ()
    ' Sub Form_Load ()
    ' Sub InputError ()
    ' Sub mnuBearing_Click ()
    ' Sub mnuExit_Click ()
    ' Sub mnuGPSCoord_Click ()
    ' Sub mnuHelp_Click ()
    ' Sub mnuMAPCoord_Click ()
    ' Sub mnuOpenScreen_Click ()

    Option Explicit

        ' Global quantities for Grid Locator program, version 1.1
    Global N As String              ' new line character code

    Global S As String              ' string character
    
    Global J As Integer             ' loop counter

    Sub CenterForm (Frm As Form)

        ' subprogram to center forms on the screen

            ' dimension local variables
        Dim LeftSide As Integer
        Dim TopOfForm As Integer

            ' determine location of left side of form
        LeftSide = (Screen.Width - Frm.Width) / 2

            ' determine location of top of form
        TopOfForm = (Screen.Height - Frm.Height) / 2

            ' position form on screen
        Frm.Move LeftSide, TopOfForm

    End Sub                                         ' CenterForm (frm As Form)

    Sub ClearAll (Frm As Form)

            ' clears all form input text boxes and output labels
            '  and resets direction option controls
        frmBearing.optLocalWest = True
        frmBearing.optLocalNorth = True
        frmBearing.optDistWest = True
        frmBearing.optDistNorth = True
        frmBearing.txtLocalLong.Text = ""
        frmBearing.txtLocalLat.Text = ""
        frmBearing.txtDistantLat.Text = ""
        frmBearing.txtDistantLong.Text = ""

    End Sub                                             ' ClearAll (Frm As Form)

    Sub Main ()

        frmGridOpen.Show                                        ' opening screen

    End Sub                                                         ' Main ()

    Sub ProgramTitle (Frm As Form, Sp As Integer)

        ' caption property for all forms - placed here
        '  to make it easy to change all forms at once

            ' dimension local variables
        Dim Credit As String
        Dim S As String
        Dim Title As String

            ' leading space in title added for readability
        Title = " Maidenhead Grid Locator - Version 1.1"
        Credit = "WS7R, 2003"
        S = Space$(Sp)

        Frm.Caption = Title + S + Credit

    End Sub                         ' ProgramTitle (frm As Form, Sp As Integer)

