VERSION 2.00
Begin Form frmGridOpen 
   BackColor       =   &H00FFEBC8&
   ClientHeight    =   4095
   ClientLeft      =   1680
   ClientTop       =   2370
   ClientWidth     =   11880
   Height          =   4785
   Icon            =   GRIDOPEN.FRX:0000
   Left            =   1620
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4095
   ScaleWidth      =   11880
   Top             =   1740
   Width           =   12000
   Begin CommandButton cmdLocation 
      Caption         =   "&Station Location"
      Height          =   495
      Left            =   7320
      TabIndex        =   3
      Top             =   2600
      Width           =   1900
   End
   Begin CommandButton cmdBearing 
      Caption         =   "&Bearing Calculator"
      Height          =   495
      Left            =   4920
      TabIndex        =   2
      Top             =   2600
      Width           =   1900
   End
   Begin CommandButton cmdProgramExit 
      Caption         =   "&Exit Program"
      Height          =   495
      Left            =   9600
      TabIndex        =   4
      Top             =   2600
      Width           =   1900
   End
   Begin CommandButton cmdMAP 
      Caption         =   "&MAP Coordinates"
      Height          =   495
      Left            =   2640
      TabIndex        =   1
      Top             =   2600
      Width           =   1900
   End
   Begin CommandButton cmdGPS 
      Caption         =   "&GPS Coordinates"
      Height          =   495
      Left            =   360
      TabIndex        =   0
      Top             =   2600
      Width           =   1900
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Grid Locator && Bearing Calculator"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   24
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   600
      Left            =   1080
      TabIndex        =   5
      Top             =   1000
      Width           =   8415
   End
   Begin Menu mnuInfo 
      Caption         =   "&Information"
      Begin Menu mnuAcknowledge 
         Caption         =   "&Acknowledgements"
      End
      Begin Menu mnuProgInfo 
         Caption         =   "&Program Information"
      End
      Begin Menu mnuRevHist 
         Caption         =   "&Program Revision History"
      End
      Begin Menu mnuOtherProgs 
         Caption         =   "&Other Programs Available"
      End
      Begin Menu mnuAbout 
         Caption         =   "A&bout"
      End
      Begin Menu mnuNULL 
         Caption         =   "-"
      End
      Begin Menu mnuExit 
         Caption         =   "&Exit"
      End
   End
End
    ' Version 1.1 Started:  September 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted form for use with a screen resolution of 800 x 600.
    '       Added Option Explicit statement to force declaration of all
    '         variables.

    Option Explicit

Sub cmdBearing_Click ()

    frmGridOpen.Hide                                ' opening screen
    frmBearing.Show                                 ' bearing location screen

End Sub                                                 ' cmdBearing_Click ()

Sub cmdGPS_Click ()

    frmGridOpen.Hide                                ' opening screen
    frmGPSCoord.Show                                ' GPS coordinate screen

End Sub                                                 ' cmdGPS_Click ()

Sub cmdLocation_Click ()

    frmGridOpen.Hide                                ' opening screen
    frmStationLocation.Show                         ' station location screen

End Sub                                                 ' cmdLocation_Click ()

Sub cmdMAP_Click ()

    frmGridOpen.Hide                                ' opening screen
    frmMAPCoord.Show                                ' MAP coordinate screen

End Sub                                                 ' cmdMAP_Click ()

Sub cmdProgramExit_Click ()

    End

End Sub                                             ' cmdProgramExit_Click ()

Sub Form_Load ()

        ' dimension local variables
    Dim cmd1 As Integer                                 ' GPS coordinates
    Dim cmd2 As Integer                                 ' MAP coordinates
    Dim cmd3 As Integer                                 ' Bearing Calculator
    Dim cmd4 As Integer                                 ' Station Location
    Dim cmd5 As Integer                                 ' Exit Program

    Dim SpaceAvail As Integer                           ' total space available
    Dim SpaceBetween As Integer                         ' space between buttons

        ' center form on screen
    CenterForm frmGridOpen

        ' get form title and credit
    ProgramTitle frmGridOpen, 105

        ' center title horizontally
    lblTitle.Left = (frmGridOpen.ScaleWidth - lblTitle.Width) \ 2

        ' center command buttons horizontally
    cmd1 = cmdGPS.Width
    cmd2 = cmdMAP.Width
    cmd3 = cmdBearing.Width
    cmd4 = cmdLocation.Width
    cmd5 = cmdProgramExit.Width

    SpaceAvail = frmGridOpen.ScaleWidth - (cmd1 + cmd2 + cmd3 + cmd4 + cmd5)
    SpaceBetween = SpaceAvail \ 6
    
    cmdGPS.Left = SpaceBetween
    cmdMAP.Left = (2 * SpaceBetween) + cmd1
    cmdBearing.Left = (3 * SpaceBetween) + cmd1 + cmd2
    cmdLocation.Left = (4 * SpaceBetween) + cmd1 + cmd2 + cmd3
    cmdProgramExit.Left = (5 * SpaceBetween) + cmd1 + cmd2 + cmd3 + cmd4

End Sub                                                         ' Form_Load ()

    Sub mnuAbout_Click ()

        frmGridOpen.Hide                            ' opening screen
        frmAboutGrid.Show                           ' information about program

    End Sub

    Sub mnuAcknowledge_Click ()

        frmGridOpen.Hide                                ' opening screen
        frmAcknowledge.Show                             ' acknowledgement screen

    End Sub

    Sub mnuExit_Click ()

        End

    End Sub

    Sub mnuOtherProgs_Click ()

        frmGridOpen.Hide                            ' opening screen
        frmAvailGrid.Show                           ' other programs available

    End Sub

    Sub mnuProgInfo_Click ()

        frmGridOpen.Hide                            ' opening screen
        frmProgramInfo.Show                         ' program information screen

    End Sub

    Sub mnuRevHist_Click ()

        frmGridOpen.Hide                            ' opening screen
        frmRevHistory.Show                          ' program revision history

    End Sub

