VERSION 2.00
Begin Form frmStationLocHelp 
   BackColor       =   &H00FFEBC8&
   ClientHeight    =   8280
   ClientLeft      =   750
   ClientTop       =   1770
   ClientWidth     =   10875
   Height          =   8685
   Icon            =   GRIDSTAH.FRX:0000
   Left            =   690
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8280
   ScaleWidth      =   10875
   Top             =   1425
   Width           =   10995
   Begin CommandButton cmdPrint 
      Caption         =   "&Print Help"
      Height          =   495
      Left            =   5400
      TabIndex        =   1
      Top             =   7665
      Width           =   1215
   End
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   2160
      TabIndex        =   0
      Top             =   7665
      Width           =   1215
   End
   Begin Label lblGridSquare 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Height          =   4150
      Left            =   7500
      TabIndex        =   8
      Top             =   2670
      Width           =   1200
   End
   Begin Label lblLatDir 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Height          =   4150
      Left            =   6390
      TabIndex        =   7
      Top             =   2670
      Width           =   855
   End
   Begin Label lblLatitude 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Height          =   4150
      Left            =   4830
      TabIndex        =   6
      Top             =   2670
      Width           =   1305
   End
   Begin Label lblLongDir 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Height          =   4150
      Left            =   3720
      TabIndex        =   5
      Top             =   2670
      Width           =   855
   End
   Begin Label lblLongitude 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Height          =   4150
      Left            =   2160
      TabIndex        =   4
      Top             =   2670
      Width           =   1305
   End
   Begin Label lblText 
      BackStyle       =   0  'Transparent
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   9.75
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   7005
      Left            =   120
      TabIndex        =   3
      Top             =   540
      Width           =   10710
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Station Location Help"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   300
      Left            =   2640
      TabIndex        =   2
      Top             =   120
      Width           =   2805
   End
End
    ' Version 1.1 Started:  September 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted form for use with a screen resolution of 800 x 600.
    '       Added Option Explicit statement to force declaration of all
    '         variables.

    Option Explicit

    Sub cmdOK_Click ()

        frmStationLocHelp.Hide                  ' station location help screen
        frmStationLocation.Show                 ' station location screen

    End Sub                                                     ' cmdOK_Click ()

    Sub cmdPrint_Click ()

            ' hide command buttons
        cmdOK.Visible = False
        cmdPrint.Visible = False
        frmStationLocHelp.Height = 8070                     ' re-size form

            ' print form
        PrintForm

            ' show command buttons
        cmdOK.Visible = True
        cmdPrint.Visible = True
        frmStationLocHelp.Height = 8685                     ' restore form size

    End Sub                                                 ' cmdPrint_Click ()

    Sub Form_Load ()

            ' dimension local variables
        Dim cmd1 As Integer                         ' OK button width
        Dim cmd2 As Integer                         ' print form button width
        Dim SpaceAvail As Integer                   ' total space available
        Dim SpaceBetween As Integer                 ' space between buttons

        Dim L1 As String                            ' individual line text
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String
        Dim L12 As String
        Dim L13 As String
        Dim L14 As String
        Dim L15 As String
        Dim L16 As String

        Dim LA1 As String                           ' longitude label text
        Dim LB1 As String
        Dim LC1 As String
        Dim LD1 As String
        Dim LE1 As String
        Dim LF1 As String
        Dim PA1 As String

        Dim LA2 As String                           ' longitude direction label text
        Dim LB2 As String
        Dim LC2 As String
        Dim LD2 As String
        Dim PA2 As String

        Dim LA3 As String                           ' latitude label text
        Dim LB3 As String
        Dim LC3 As String
        Dim LD3 As String
        Dim LE3 As String
        Dim PA3 As String

        Dim LA4 As String                           ' latitude direction label text
        Dim LB4 As String
        Dim LC4 As String
        Dim LD4 As String
        Dim PA4 As String

        Dim LA5 As String                           ' grid square label text
        Dim LB5 As String
        Dim LC5 As String
        Dim LD5 As String
        Dim LE5 As String
        Dim LF5 As String
        Dim PA5 As String

        Dim P1 As String                            ' paragraph text
        Dim P2 As String

            ' center form on screen
8685
CenterForm frmStationLocHelp

            ' if screen resolution less than 1024 x 768, center horizontally
        If Screen.Height < 11520 Then                       ' 11520 \ 15 = 768
            frmStationLocHelp.Top = 0
        End If

            ' get form title and credit
        ProgramTitle frmStationLocHelp, 96

            ' center title and help text labels horizontally
        lblTitle.Left = (frmStationLocHelp.ScaleWidth - lblTitle.Width) \ 2
        lblText.Left = (frmStationLocHelp.ScaleWidth - lblText.Width) \ 2

            ' center command buttons horizontally
        cmd1 = cmdOK.Width
        cmd2 = cmdPrint.Width
        SpaceAvail = frmStationLocHelp.ScaleWidth - (cmd1 + cmd2)
        SpaceBetween = SpaceAvail \ 3
    
        cmdOK.Left = SpaceBetween
        cmdPrint.Left = (2 * SpaceBetween) + cmd1

            ' define new line character
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' space string (3 spaces)
        S = Space$(3)                                               ' 3 spaces

            ' help text
        L1 = S + "The station location calculator accepts input in either"
        L2 = " 4 or 6 digit grid location format and determines, as"
        L3 = " near as possible, the longitude and latitude of the given"
        L4 = " station.  The location can only be deter- mined to the nearest"
        L5 = " 2.5 seconds of latitude and 5 seconds of longitude which is"
        L6 = " an area approximately 4 miles wide by 3 miles high.  This"
        L7 = " program will compute the coordinates of the center of this"
        L8 = " area." + N + N + S + "The grid location can be input in either"
        L9 = " uppercase or lowercase letters.  Error checking will"
        L10 = " be per- formed to determine if the grid input is valid.  Valid"
        L11 = " squares and their corresponding longitudes and latitudes are"
        L12 = " given below." + N + N + N + N + N + N + N + N + N + N + N + N
        L13 = N + N + N + N + N + N + N + N + S + "For reference, 0 longitude"
        L14 = " is the Greenwich Meridian and 180 is the International "
        L15 = "Date Line.  The Equator is 0 latitude, 90N is the North Pole,"
        L16 = " and 90S is the South Pole."

        P1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8 + L9
        P2 = L10 + L11 + L12 + L13 + L14 + L15 + L16

            ' display help message
        lblText.Caption = P1 + P2

            ' longitude label
        LA1 = "Longitude" + N
        LB1 = "180" + N + "180" + N + "180" + N + "180" + N + "180" + N
        LC1 = "180" + N + "180" + N + "180" + N + "0" + N + "0" + N
        LD1 = "0" + N + "0" + N + "0" + N + "0" + N + "0" + N + "0" + N
        LE1 = "179 59.9833""" + N + "179 59.9833""" + N + "179 59.9833"""
        LF1 = N + "179 59.9833"""

        PA1 = LA1 + LB1 + LC1 + LD1 + LE1 + LF1
        lblLongitude.Caption = PA1

            ' longitude direction label
        LA2 = "Direction" + N
        LB2 = "W" + N + "W" + N + "W" + N + "W" + N + "E" + N + "E" + N + "E"
        LC2 = N + "E" + N + "W" + N + "W" + N + "W" + N + "W" + N + "E" + N
        LD2 = "E" + N + "E" + N + "E" + N + "W" + N + "W" + N + "E" + N + "E"

        PA2 = LA2 + LB2 + LC2 + LD2
        lblLongDir.Caption = PA2

            ' latitude label
        LA3 = "Latitude" + N
        LB3 = "0" + N + "0" + N + "90" + N + "90" + N + "0" + N + "0" + N
        LC3 = "90" + N + "90" + N + "0" + N + "0" + N + "90" + N + "90"
        LD3 = N + "0" + N + "0" + N + "90" + N + "90" + N + "89 59.9833"""
        LE3 = N + "89 59.9833""" + N + "89 59.9833""" + N + "89 59.9833"""

        PA3 = LA3 + LB3 + LC3 + LD3 + LE3
        lblLatitude.Caption = PA3

            ' latitude direction label
        LA4 = "Direction" + N
        LB4 = "N" + N + "S" + N + "N" + N + "S" + N + "N" + N + "S" + N + "N"
        LC4 = N + "S" + N + "N" + N + "S" + N + "N" + N + "S" + N + "N" + N
        LD4 = "S" + N + "N" + N + "S" + N + "N" + N + "S" + N + "N" + N + "S"

        PA4 = LA4 + LB4 + LC4 + LD4
        lblLatDir.Caption = PA4

            ' grid square label
        LA5 = "Grid Square" + N
        LB5 = "AJ00aa" + N + "AJ00aa" + N + "AS00aa" + N + "AA00aa" + N
        LC5 = "SJ00aa" + N + "SJ00aa" + N + "SS00aa" + N + "SA00aa" + N
        LD5 = "JJ00aa" + N + "JJ00aa" + N + "JS00aa" + N + "JA00aa" + N
        LE5 = "JJ00aa" + N + "JJ00aa" + N + "JS00aa" + N + "JA00aa" + N
        LF5 = "AR09ax" + N + "AA00aa" + N + "RR99xx" + N + "RA90xa"

        PA5 = LA5 + LB5 + LC5 + LD5 + LE5 + LF5
        lblGridSquare.Caption = PA5

    End Sub                                                     ' Form_Load ()

