    ' LIMITS.BAS
    '
    ' Global declarations for the form frmLimits in the program LIMITS.EXE.
    '
    ' Written by Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ
    '
    ' Language:  Microsoft Visual Basic Version 3.0
    '
    ' Version 1.0 Started:  August 20, 2003
    ' Version 1.0 Completed:  September 18, 2003

        ' ----------------
        ' global constants
        ' ----------------

        ' horizontal offsets in pixels
    Global Const HorizInP = 8
    Global Const HorizSp1P = 7
    Global Const HorizSp2P = 16
    Global Const HorizSp3P = 21
    Global Const HorizSp4P = 76
    Global Const HorizSp5P = 89
    Global Const HorizSp6P = 116
    Global Const HorizSp7P = 136
    Global Const HorizSp8P = 244
    Global Const HorizSp9P = 304

        ' horizontal offsets in twips
    Global Const HorizInT = 120                 ' 8 * 15
    Global Const HorizSp1T = 105                ' 7 * 15
    Global Const HorizSp2T = 240                ' 16 * 15
    Global Const HorizSp3T = 315                ' 21 * 15
    Global Const HorizSp4T = 1140               ' 76 * 15
    Global Const HorizSp5T = 1335               ' 89 * 15
    Global Const HorizSp6T = 1740               ' 116 * 15
    Global Const HorizSp7T = 2040               ' 136 * 15
    Global Const HorizSp8T = 3660               ' 244 * 15
    Global Const HorizSp9T = 4560               ' 304 * 15

        ' vertical offsets in pixels
    Global Const VertInP = 8
    Global Const VertSp1P = 5
    Global Const VertSp2P = 7
    Global Const VertSp3P = 12
    Global Const VertSp4P = 18
    Global Const VertSp5P = 20

        ' vertical offsets in twips
    Global Const VertInT = 120                  ' 8 * 15
    Global Const VertSp1T = 75                  ' 5 * 15
    Global Const VertSp2T = 105                 ' 7 * 15
    Global Const VertSp3T = 180                 ' 12 * 15
    Global Const VertSp4T = 270                 ' 18 * 15
    Global Const VertSp5T = 300                 ' 20 * 15

        ' --------------------------
        ' global variables (strings)
        ' --------------------------

    Global D1 As String                         ' temporary outputs (hidden)
    Global D2 As String
    Global D3 As String
    Global D4 As String
    Global D5 As String
    Global D6 As String
    Global D7 As String
    Global D8 As String
    Global D9 As String
    Global D10 As String
    Global D11 As String
    Global D12 As String
    Global D13 As String
    Global D14 As String
    Global D15 As String
    Global D16 As String
    Global D17 As String
    Global D18 As String
    Global D19 As String
    Global D20 As String
    Global D21 As String
    Global D22 As String

    Global E1 As String                         ' explanation label
    Global E2 As String
    Global E3 As String

    Global H1 As String                         ' form height table
    Global H2 As String

    Global N As String                          ' new line character

    Global P1 As String                         ' prompt message
    Global P2 As String
    Global P3 As String

    Global R1 As String                         ' screen resolution table
    Global R2 As String
    Global R3 As String

    Global S1 As String                         ' temporary outputs (hidden)
    Global S2 As String

    Global W1 As String                         ' form width table
    Global W2 As String

        ' ---------------------------
        ' global variables (integers)
        ' ---------------------------

    Global cmd1T As Integer                     ' show form parameters button
    Global cmd1L As Integer
    Global cmd1R As Integer
    Global cmd1H As Integer
    Global cmd1W As Integer
    Global cmd1B As Integer

    Global cmd2T As Integer                     ' print form button parameters
    Global cmd2L As Integer
    Global cmd2R As Integer
    Global cmd2H As Integer
    Global cmd2W As Integer
    Global cmd2B As Integer

    Global cmd3T As Integer                     ' exit commamd button parameters
    Global cmd3L As Integer
    Global cmd3R As Integer
    Global cmd3H As Integer
    Global cmd3W As Integer
    Global cmd3B As Integer

    Global cmdTop As Integer                    ' command button top

    Global DisplayHeight As Integer             ' display limits
    Global DisplayWidth As Integer
    Global DisplayLeft As Integer
    Global DisplayRight As Integer
    Global DisplayTop As Integer
    Global DisplayBottom As Integer

    Global DispLeft As Integer                  ' centered display location
    Global DispTop As Integer

    Global FormWidth As Integer                 ' form limits
    Global FormHeight As Integer
    Global FormScWidth As Integer
    Global FormScHeight As Integer
    Global FormWidDiff As Integer
    Global FormHtDiff As Integer

    Global HtLeftCol As Integer                 ' display heights
    Global HtRtCol As Integer

    Global LabelAdj As Integer                  ' label placement variables
    Global LabelAvail As Integer
    Global LeftRight As Integer

    Global LtColLbls As Integer            ' height of labels in left column
    Global LtColSp As Integer              ' height of spaces in left column

    Global RtColLbls As Integer            ' height of labels in right column
    Global RtColSp As Integer              ' height of spaces in right column

    Global Row1Lbls As Integer             ' total width of labels in row 1
    Global Row2Lbls As Integer             ' total width of labels in row 2
    Global Row3Lbls As Integer             ' total width of labels in row 3
    Global Row1Sp As Integer               ' total number of spaces in row 1
    Global Row2Sp As Integer               ' total number of spaces in row 2
    Global Row3Sp As Integer               ' total number of spaces in row 3

    Global ScrnWidth As Integer                 ' screen limits
    Global ScrnHeight As Integer
    Global ScrnScWidth As Integer
    Global ScrnScHeight As Integer

    Global SpaceAvail As Integer                ' command button space

    Global VertDiff As Integer                  ' temporary vertical variable
    Global VertInc As Integer   ' vertical increment for resolution indicator

    Global WidRow1 As Integer                   ' display widths
    Global WidRow2 As Integer
    Global WidRow3 As Integer

        ' ---------------------------------------------------------------
        ' label dimensions
        ' T = top  L = left  R = right  B = bottom  H = height  W = width
        ' ---------------------------------------------------------------

    Global DALT As Integer                      ' display area left
    Global DALL As Integer
    Global DALR As Integer
    Global DALH As Integer
    Global DALW As Integer
    Global DALB As Integer

    Global DALTO As Integer                     ' display area left output
    Global DALLO As Integer
    Global DALRO As Integer
    Global DALHO As Integer
    Global DALWO As Integer
    Global DALBO As Integer

    Global DATT As Integer                      ' display area top
    Global DATL As Integer
    Global DATR As Integer
    Global DATH As Integer
    Global DATW As Integer
    Global DATB As Integer

    Global DATTO As Integer                     ' display area top output
    Global DATLO As Integer
    Global DATRO As Integer
    Global DATHO As Integer
    Global DATWO As Integer
    Global DATBO As Integer

    Global DHOT As Integer                      ' display height output
    Global DHOL As Integer
    Global DHOR As Integer
    Global DHOH As Integer
    Global DHOHW As Integer
    
    Global DHT As Integer                       ' display height
    Global DHL As Integer
    Global DHR As Integer
    Global DHB As Integer
    Global DHH As Integer
    Global DHHW As Integer

    Global DHTT As Integer                      ' display height table header
    Global DHTL As Integer
    Global DHTR As Integer
    Global DHTB As Integer
    Global DHTH As Integer
    Global DHTW As Integer

    Global DHTTT As Integer                     ' display height table values
    Global DHTTL As Integer
    Global DHTTR As Integer
    Global DHTTB As Integer
    Global DHTTH As Integer
    Global DHTTW As Integer

    Global DUT As Integer                       ' display units
    Global DUL As Integer
    Global DUR As Integer
    Global DUB As Integer
    Global DUH As Integer
    Global DUW As Integer

    Global DWOT As Integer                      ' display width output
    Global DWOL As Integer
    Global DWOR As Integer
    Global DWOH As Integer
    Global DWOHW As Integer

    Global DWT As Integer                       ' display width
    Global DWL As Integer
    Global DWR As Integer
    Global DWB As Integer
    Global DWH As Integer
    Global DWHW As Integer

    Global DWTT As Integer                     ' display width table header
    Global DWTL As Integer
    Global DWTR As Integer
    Global DWTB As Integer
    Global DWTH As Integer
    Global DWTW As Integer

    Global DWTTT As Integer                     ' display width table values
    Global DWTTL As Integer
    Global DWTTR As Integer
    Global DWTTB As Integer
    Global DWTTH As Integer
    Global DWTTW As Integer
    
    Global ET As Integer                        ' explanation table
    Global EL As Integer
    Global ER As Integer
    Global EB As Integer
    Global EH As Integer
    Global EW As Integer

    Global FHDOT As Integer                     ' form height difference output
    Global FHDOL As Integer
    Global FHDOR As Integer
    Global FHDOH As Integer
    Global FHDOHW As Integer
    
    Global FHDT As Integer                      ' form height difference
    Global FHDL As Integer
    Global FHDR As Integer
    Global FHDB As Integer
    Global FHDH As Integer
    Global FHDHW As Integer

    Global FHOT As Integer                      ' form height output
    Global FHOL As Integer
    Global FHOR As Integer
    Global FHOH As Integer
    Global FHOHW As Integer

    Global FHT As Integer                       ' form height
    Global FHL As Integer
    Global FHR As Integer
    Global FHB As Integer
    Global FHH As Integer
    Global FHHW As Integer

    Global FMT As Integer                       ' frame parameters
    Global FML As Integer
    Global FMR As Integer
    Global FMB As Integer
    Global FMH As Integer
    Global FMW As Integer

    Global FSHOT As Integer                     ' form scale height output
    Global FSHOL As Integer
    Global FSHOR As Integer
    Global FSHOH As Integer
    Global FSHOHW As Integer
    
    Global FSHT As Integer                      ' form scale height
    Global FSHL As Integer
    Global FSHR As Integer
    Global FSHB As Integer
    Global FSHH As Integer
    Global FSHHW As Integer

    Global FST As Integer                       ' full screen header
    Global FSL As Integer
    Global FSR As Integer
    Global FSB As Integer
    Global FSH As Integer
    Global FSHW As Integer

    Global FSWOT As Integer                     ' form scale output
    Global FSWOL As Integer
    Global FSWOR As Integer
    Global FSWOH As Integer
    Global FSWOHW As Integer

    Global FSWT As Integer                      ' form scale width
    Global FSWL As Integer
    Global FSWR As Integer
    Global FSWB As Integer
    Global FSWH As Integer
    Global FSWHW As Integer

    Global FWDOT As Integer                     ' form width difference output
    Global FWDOL As Integer
    Global FWDOR As Integer
    Global FWDOH As Integer
    Global FWDOHW As Integer

    Global FWDT As Integer                      ' form width difference
    Global FWDL As Integer
    Global FWDR As Integer
    Global FWDB As Integer
    Global FWDH As Integer
    Global FWDHW As Integer

    Global FWOT As Integer                      ' form width output
    Global FWOL As Integer
    Global FWOR As Integer
    Global FWOH As Integer
    Global FWOHW As Integer

    Global FWT As Integer                       ' form width
    Global FWL As Integer
    Global FWR As Integer
    Global FWB As Integer
    Global FWH As Integer
    Global FWHW As Integer

    Global RT As Integer                        ' resolution table header
    Global RL As Integer
    Global RR As Integer
    Global RB As Integer
    Global RH As Integer
    Global RW As Integer

    Global RTT As Integer                       ' resolution table values
    Global RTL As Integer
    Global RTR As Integer
    Global RTB As Integer
    Global RTH As Integer
    Global RTW As Integer

    Global SHOT As Integer                      ' screen height output
    Global SHOL As Integer
    Global SHOR As Integer
    Global SHOH As Integer
    Global SHOHW As Integer

    Global SHT As Integer                      ' screen height
    Global SHL As Integer
    Global SHR As Integer
    Global SHB As Integer
    Global SHH As Integer
    Global SHW As Integer

    Global SWOT As Integer                     ' screen width output
    Global SWOL As Integer
    Global SWOR As Integer
    Global SWOH As Integer
    Global SWOWW As Integer

    Global SWT As Integer                       ' screen width
    Global SWL As Integer
    Global SWR As Integer
    Global SWB As Integer
    Global SWH As Integer
    Global SWW As Integer

    Global TXOT As Integer                      ' horizontal twips output
    Global TXOL As Integer
    Global TXOR As Integer
    Global TXOH As Integer
    Global TXOHW  As Integer

    Global TXT As Integer                       ' horizontal twips
    Global TXL As Integer
    Global TXR As Integer
    Global TXB As Integer
    Global TXH As Integer
    Global TXHW As Integer

    Global TYOT As Integer                      ' vertical twips output
    Global TYOL As Integer
    Global TYOR As Integer
    Global TYOH As Integer
    Global TYOHW As Integer
    
    Global TYT As Integer                       ' vertical twips
    Global TYL As Integer
    Global TYR As Integer
    Global TYB As Integer
    Global TYH As Integer
    Global TYHW As Integer

