VERSION 2.00
Begin Form frmSymbolLegend 
   ClientHeight    =   7890
   ClientLeft      =   1095
   ClientTop       =   1485
   ClientWidth     =   6435
   Height          =   8295
   Left            =   1035
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7890
   ScaleWidth      =   6435
   Top             =   1140
   Width           =   6555
   Begin CommandButton cmdCloseBtn 
      Caption         =   "&Close"
      Default         =   -1  'True
      Height          =   495
      Left            =   2670
      TabIndex        =   0
      Top             =   7200
      Width           =   1215
   End
   Begin Label lblSymbols 
      BackColor       =   &H00FFFFD2&
      Height          =   4700
      Left            =   120
      TabIndex        =   3
      Top             =   1340
      Width           =   6200
   End
   Begin Label lblLegendTitle 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0FF&
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   13.5
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   1100
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   6200
   End
   Begin Label lblInfo 
      BorderStyle     =   1  'Fixed Single
      Height          =   825
      Left            =   120
      TabIndex        =   1
      Top             =   6165
      Width           =   6195
   End
End
    ' COAXLEG2.FRM
    '
    ' Version 1.0 Name:  LEGEND.FRM
    ' Version 1.0 Started:  May 17, 2003
    ' Version 1.0 Completed:  July 8, 2003
    '
    ' Version 2.0 Name:  COAXLEG2.FRM
    ' Version 2.0 Started:  November 1, 2003
    ' Version 2.0 Completed:  November 6, 2003
    '   Revised in Version 2.0:
    '       Renamed form.
    '       Added Option Explicit statement to force declaration of all
    '         variables on form.
    '
    ' Language:  Microsoft Visual Basic 3.0, Professional Edition
    '       (Professional Edition features not used)
    ' Programmer:  Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ

    Option Explicit

    Sub cmdCloseBtn_Click ()

        frmSymbolLegend.Hide

    End Sub                                             ' cmdCloseBtn_Click ()

    Sub Form_Load ()

            ' declare local variables
        Dim L1 As String                                        ' text strings
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String
        Dim L12 As String
        Dim L13 As String
        Dim L14 As String
        Dim L15 As String
        Dim L16 As String
        Dim L17 As String
        Dim L18 As String
        Dim L19 As String
        Dim L20 As String

        Dim R1 As String
        Dim R2 As String
        Dim R3 As String
        Dim Ref As String

        Dim Sy1 As String
        Dim Sy2 As String
        Dim Sym As String

        Dim TWIPS As Integer

            ' set form scale mode
        frmSymbolLegend.ScaleMode = TWIPS

            ' center form on screen
        CenterForm frmSymbolLegend

            ' display form title and credit
        ProgramTitle frmSymbolLegend, 25

            ' define newline code
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' 3 spaces
        S = Space$(3)

            ' title
        lblLegendTitle.Caption = N + "COAX DATA SYMBOL LEGEND"

            ' symbol legend
        L1 = N

            ' manufacturer
        L2 = S + "Manufacturer info (other than Belden) shown in Part Number"
        L3 = " column:" + N + S + S + "DRF - Davis RF" + N
        L4 = S + S + "TMS - Times Microwave Systems" + N
        L5 = S + S + "WM - Wireman" + N + N

            ' dielectric type
        L6 = S + "Dielectric Type:" + N
        L7 = S + S + "ASPE - Air Spaced Polyethylene" + N
        L8 = S + S + "FPE - Foamed Polyethylene" + N
        L9 = S + S + "PE - Polyethylene" + N
        L10 = S + S + "TFE - Teflon" + N + N

            ' shield type
        L11 = S + "Shield Type:" + N
        L12 = S + S + "D - Double Copper Shields" + N
        L13 = S + S + "FC - Foil/Copper Shields" + N
        L14 = S + S + "S - Single Shield" + N + N

            ' jacket type
        L15 = S + "Jacket Type:" + N
        L16 = S + S + "BF - Flooded direct bury (type suffix)" + N
        L17 = S + S + "N - Noncontaminating (type suffix)" + N
        L18 = S + S + "P1 - PVC, Class 1" + N
        L19 = S + S + "P2 - PVC, Class 2" + N
        L20 = S + S + "TFE - Teflon"

        Sy1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8 + L9 + L10 + L11
        Sy2 = L12 + L13 + L14 + L15 + L16 + L17 + L18 + L19 + L20
        Sym = Sy1 + Sy2

        lblSymbols.Caption = Sym

            ' reference text
        R1 = N + S + "The reference text for this program was the ARRL Antenna"
        R2 = " Book," + N + S
        R3 = "19th Edition.  Coaxial cable data is from Table 1, Page 24-19."
    
        Ref = R1 + R2 + R3

        lblInfo.Caption = Ref

    End Sub                                                     ' Form_Load ()

