VERSION 2.00
Begin Form frmDataOpen 
   ClientHeight    =   2985
   ClientLeft      =   960
   ClientTop       =   2805
   ClientWidth     =   7380
   Height          =   3675
   Left            =   900
   LinkTopic       =   "Form1"
   ScaleHeight     =   2985
   ScaleWidth      =   7380
   Top             =   2175
   Width           =   7500
   Begin CommandButton cmdExit 
      Caption         =   "&Exit"
      Height          =   500
      Left            =   4595
      TabIndex        =   2
      Top             =   1850
      Width           =   1215
   End
   Begin CommandButton cmdDataTable 
      Caption         =   "&Data Table"
      Height          =   500
      Left            =   1690
      TabIndex        =   3
      Top             =   1850
      Width           =   1215
   End
   Begin Label lblVersion 
      Alignment       =   2  'Center
      Caption         =   "Version 2.0"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   13.5
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   400
      Left            =   2850
      TabIndex        =   1
      Top             =   1000
      Width           =   1800
   End
   Begin Label lblProgExplanation 
      Alignment       =   2  'Center
      Caption         =   "Coaxial Cable Data Program"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   18
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   425
      Left            =   500
      TabIndex        =   0
      Top             =   200
      Width           =   6500
   End
   Begin Menu mnuInfo 
      Caption         =   "&Info"
      Begin Menu mnuProgsAvail 
         Caption         =   "&Other Programs Available"
      End
      Begin Menu mnuRevHist 
         Caption         =   "&Program Revision History"
      End
      Begin Menu mnuAbout 
         Caption         =   "&About"
      End
      Begin Menu Null1 
         Caption         =   "-"
      End
      Begin Menu mnuExit 
         Caption         =   "&Exit"
      End
   End
End
    ' COAXOPN2.FRM
    '
    ' Version 1.0 Name:  DATAOPEN.FRM
    ' Version 1.0 Started:  May 17, 2003
    ' Version 1.0 Completed:  July 8, 2003
    '
    ' Version 2.0 Name:  COAXOPN2.FRM
    ' Version 2.0 Started:  November 1, 2003
    ' Version 2.0 Completed:  November 6, 2003
    '   Revised in Version 2.0:
    '       Renamed form.
    '       Added Option Explicit statement to force declaration of all
    '         variables on form.
    '
    ' Language:  Microsoft Visual Basic 3.0, Professional Edition
    '       (Professional Edition features not used)
    ' Programmer:  Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ

    Option Explicit

    Sub cmdDataTable_Click ()

        frmDataOpen.Hide
        frmCoaxData.Show

    End Sub                                             ' cmdDataTable_Click ()

    Sub cmdExit_Click ()

        End

    End Sub                                                 ' cmdExit_Click ()

    Sub Form_Load ()

            ' declare local variable
        Dim TWIPS As Integer

            ' set form scale mode
        frmDataOpen.ScaleMode = TWIPS

            ' define new line code
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' center form on screen
        CenterForm frmDataOpen

            ' get form title
        ProgramTitle frmDataOpen, 32

    End Sub                                                     ' Form_Load ()

    Sub mnuAbout_Click ()

        frmAboutCoax.Show

    End Sub                                                 ' mnuAbout_Click ()

    Sub mnuExit_Click ()

        End

    End Sub                                                 ' mnuExit_Click ()

    Sub mnuProgsAvail_Click ()

        frmAvailPgm.Show

    End Sub                                             ' mnuProgsAvail_Click ()

    Sub mnuRevHist_Click ()

        frmRevHistory.Show

    End Sub                                             ' mnuRevHist_Click ()

