VERSION 2.00
Begin Form frmRevHistory 
   BackColor       =   &H007FFF7F&
   ClientHeight    =   4050
   ClientLeft      =   1095
   ClientTop       =   1485
   ClientWidth     =   7365
   Height          =   4455
   Left            =   1035
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4050
   ScaleWidth      =   7365
   Top             =   1140
   Width           =   7485
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   3000
      TabIndex        =   1
      Top             =   3315
      Width           =   1215
   End
   Begin Label lblText 
      BackStyle       =   0  'Transparent
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   9.75
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   2250
      Left            =   600
      TabIndex        =   2
      Top             =   840
      Width           =   6315
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "COAXDATA Revision History"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   360
      Left            =   1800
      TabIndex        =   0
      Top             =   240
      Width           =   3735
   End
End
    ' COAXREV2.FRM
    '
    ' Revision history of COAXDATA.EXE.
    '
    ' Version 1.0 Name:  COAXREV2.FRM
    ' Version 1.0 Started:  November 1, 2003
    ' Version 1.0 Completed:  November 6, 2003
    '
    ' Language:  Microsoft Visual Basic 3.0, Professional Edition
    '       (Professional Edition features not used)
    ' Programmer:  Stephen R. Bird, WS7R, SRB Enterprises, Wickenburg, AZ

    Option Explicit                         ' force declaration of all variables

    Sub cmdOK_Click ()

        frmRevHistory.Hide
        frmDataOpen.Show

    End Sub                                                     ' cmdOK_Click ()

    Sub Form_Load ()

        ' program COAXDATA revision history

            ' declare local variables
        Dim L1 As String                                        ' text strings
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String

        Dim P1 As String
        Dim P2 As String

        Dim FormHt As Integer                       ' height of form
        Dim BarHt As Integer                        ' height of form title bar
        Dim TitleHt As Integer                      ' height of title label
        Dim TextHt As Integer                       ' height of text label
        Dim CmdHt As Integer                        ' height of command button
        Dim Sp As Integer                           ' space between form objects

        Dim TWIPS As Integer

            ' set form scale mode
        frmRevHistory.ScaleMode = TWIPS

            ' center form on screen
        CenterForm frmRevHistory

            ' get form title and credit
        ProgramTitle frmRevHistory, 40

            ' define newline code
        N = Chr$(13) + Chr$(10)                         ' Chr$(13) is enter key
                                                        ' Chr$(10) is line feed

            ' space string (3 spaces)
        S = Space(3)

            ' center title and text labels horizontally
        lblTitle.Left = (frmRevHistory.ScaleWidth - lblTitle.Width) \ 2
        lblText.Left = (frmRevHistory.ScaleWidth - lblText.Width) \ 2

            ' center command button horizontally
        cmdOK.Left = (frmRevHistory.ScaleWidth - cmdOK.Width) \ 2

            ' re-size form vertically to fit text label height
        TitleHt = lblTitle.Height
        lblText.Height = 2750                       ' 250 twips per text line
        TextHt = lblText.Height
        CmdHt = cmdOK.Height
        BarHt = 405
        Sp = 240
        FormHt = BarHt + (4 * Sp) + TitleHt + TextHt + CmdHt
        frmRevHistory.Height = FormHt

            ' position controls vertically
        lblTitle.Top = Sp
        lblText.Top = (2 * Sp) + TitleHt
        cmdOK.Top = (3 * Sp) + TitleHt + TextHt

            ' revision history text
        L1 = "Version 1.0" + N + S + "Released July 8, 2003." + N
        L2 = "Version 2.0" + N + S + "Released November 6, 2003" + N
        L3 = S + S + "Added:  Revised all forms to be compatible with a screen"
        L4 = S + S + S + " resolution of 800 x 600.  Also added horizontal and "
        L5 = N + S + S + S + "vertical scrolling functions to the data table, "
        L6 = "an Option" + N + S + S + S + "Explicit statement to all forms to "
        L7 = "force declaration of all" + N + S + S + S + "variables, and this "
        L8 = "form to track program revision" + N + S + S + S + "history."
        L9 = N + S + S + "Deleted:  Data table printing capability."

        P1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8 + L9

        lblText.Caption = P1

    End Sub                                                     ' Form_Load ()

