VERSION 2.00
Begin Form frmGPSHelp 
   BackColor       =   &H00FFEBC8&
   ClientHeight    =   5850
   ClientLeft      =   1245
   ClientTop       =   1815
   ClientWidth     =   9030
   Height          =   6255
   Icon            =   GRIDGPSH.FRX:0000
   Left            =   1185
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5850
   ScaleWidth      =   9030
   Top             =   1470
   Width           =   9150
   Begin CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   495
      Left            =   3960
      TabIndex        =   0
      Top             =   5100
      Width           =   1215
   End
   Begin Label lblText 
      BackStyle       =   0  'Transparent
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   4000
      Left            =   600
      TabIndex        =   2
      Top             =   800
      Width           =   8160
      WordWrap        =   -1  'True
   End
   Begin Label lblTitle 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "GPS Coordinate Help"
      FontBold        =   -1  'True
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   12
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   300
      Left            =   3240
      TabIndex        =   1
      Top             =   240
      Width           =   2805
   End
End
    ' Version 1.1 Started:  September 20, 2003
    ' Version 1.1 Completed:  September 23, 2003
    '   Revised in Version 1.1:
    '       Re-formatted form for use with a screen resolution of 800 x 600.
    '       Added Option Explicit statement to force declaration of all
    '         variables.

    Option Explicit

    Sub cmdOK_Click ()

        frmGPSHelp.Hide                             ' GPS coordinate help screen
        frmGPSCoord.Show                            ' GPS coordinate screen

    End Sub                                                 ' cmdOK_Click ()

    Sub Form_Load ()

            ' dimension local variables
        Dim L1 As String                                ' individual line text
        Dim L2 As String
        Dim L3 As String
        Dim L4 As String
        Dim L5 As String
        Dim L6 As String
        Dim L7 As String
        Dim L8 As String
        Dim L9 As String
        Dim L10 As String
        Dim L11 As String
        Dim L12 As String
        Dim L13 As String

        Dim P1 As String                                ' paragraph text

            ' center form on screen
        CenterForm frmGPSHelp

            ' get form title and credit
        ProgramTitle frmGPSHelp, 66

            ' center title and help text labels horizontally
        lblTitle.Left = (frmGPSHelp.ScaleWidth - lblTitle.Width) \ 2
        lblText.Left = (frmGPSHelp.ScaleWidth - lblText.Width) \ 2

            ' center command button horizontally
        cmdOK.Left = (frmGPSHelp.ScaleWidth - cmdOK.Width) \ 2

            ' define new line and space characters
        N = Chr$(13) + Chr$(10)
        S = Space$(3)

            ' help text
        L1 = S + "This form accepts input in the format that most GPS units"
        L2 = " output location data (that is Longitude Degrees, Minutes, and"
        L3 = " direction && Latitude Degrees, Minutes, and direction).  The"
        L4 = " minute data is a decimal representation of the combined value"
        L5 = " of minutes and seconds (e.g. 112 44.5833"" W equates to 112"
        L6 = " 44' 35"" W)."

        L7 = N + N + S + "The input for degrees is limited to 3 digits (0 thru"
        L8 = " 9 only).  For minutes, the input will accept up to 7 characters "
        L9 = "(0 thru 9 and the decimal point only).  If an error is made, a "
        L10 = "message will be displayed and the cursor will be moved to the "
        L11 = "box where the error occurred."

        L12 = N + N + S + "To input data in map format, click OK and then "
        L13 = "select ""Map Coordinates"" from the ""Screen"" menu item."

        P1 = L1 + L2 + L3 + L4 + L5 + L6 + L7 + L8 + L9 + L10 + L11 + L12 + L13

        lblText.Caption = P1

    End Sub                                                     ' Form_Load ()

